Last Comment Bug 713061 - Polish the standalone window under Aero
: Polish the standalone window under Aero
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: 12 Branch
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on:
Blocks: tb-tabsontop
  Show dependency treegraph
 
Reported: 2011-12-22 12:20 PST by Richard Marti (:Paenglab)
Modified: 2012-01-12 07:03 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Standalone window patch (946 bytes, patch)
2011-12-22 12:22 PST, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
Details | Diff | Splinter Review
Comparison with before and after the patch (73.39 KB, image/png)
2011-12-22 13:06 PST, Richard Marti (:Paenglab)
no flags Details
Standalone window patch for check-in (1008 bytes, patch)
2011-12-23 09:34 PST, Richard Marti (:Paenglab)
richard.marti: review+
richard.marti: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Richard Marti (:Paenglab) 2011-12-22 12:20:20 PST
The Box moving in Bug 644169 moved in standalone window the window shadow border below the toolbars.
Comment 1 Richard Marti (:Paenglab) 2011-12-22 12:22:29 PST
Created attachment 583888 [details] [diff] [review]
Standalone window patch

Patch to fix this issue
Comment 2 Richard Marti (:Paenglab) 2011-12-22 13:06:40 PST
Created attachment 583909 [details]
Comparison with before and after the patch
Comment 3 Blake Winton (:bwinton) (:☕️) 2011-12-23 07:08:58 PST
Comment on attachment 583888 [details] [diff] [review]
Standalone window patch

Looks better in the standalone window, so ui-r=me.

>+++ b/mail/themes/qute/mail/messageWindow-aero.css
>@@ -54,8 +54,22 @@
>+  #messengerWindow[sizemode=normal]  #navigation-toolbox {

I don't see any other occurrences of "navigation-toolbox" in the code…  Does this rule actually do anything?

>+  #messengerWindow[sizemode=normal]  #mail-toolbox {
>+    border-left: 1px solid rgba(10%, 10%, 10%, .4);
>+    border-right: 1px solid rgba(10%, 10%, 10%, .4);
>+    background-clip: padding-box;
>+  }
>+
>   #messengerWindow[sizemode=normal] #messagepanebox {
>     border: 1px solid rgba(10%, 10%, 10%, .4);
>+    border-top: none;
>     background-clip: padding-box;
>   }

I wonder if there's not a better way to do that, since they're so similar…  Something like:

#messengerWindow[sizemode=normal] #mail-toolbox,
#messengerWindow[sizemode=normal] #messagepanebox {
  border: 1px solid rgba(10%, 10%, 10%, .4);
  border-top: none;
  background-clip: padding-box;
}

#messengerWindow[sizemode=normal]  #mail-toolbox {
  border-bottom: none;
}

That way we don't have the re-duplication of the border…

So, I guess I found a few things I'ld like changed, but they're pretty simple, so I'm going to say r=me with them changed.

Thanks,
Blake.
Comment 4 Richard Marti (:Paenglab) 2011-12-23 09:34:54 PST
Created attachment 584078 [details] [diff] [review]
Standalone window patch for check-in

(In reply to Blake Winton (:bwinton - Thunderbird UX) from comment #3)
> Comment on attachment 583888 [details] [diff] [review]
> Standalone window patch
> 
> Looks better in the standalone window, so ui-r=me.
> 
> >+++ b/mail/themes/qute/mail/messageWindow-aero.css
> >@@ -54,8 +54,22 @@
> >+  #messengerWindow[sizemode=normal]  #navigation-toolbox {
> 
> I don't see any other occurrences of "navigation-toolbox" in the code…  Does
> this rule actually do anything?

This code makes the border around the menubar. "navigation-toolbox" is also in primaryToolbar-aero.css at line 51, 93, 290 and 296.

> >+  #messengerWindow[sizemode=normal]  #mail-toolbox {
> >+    border-left: 1px solid rgba(10%, 10%, 10%, .4);
> >+    border-right: 1px solid rgba(10%, 10%, 10%, .4);
> >+    background-clip: padding-box;
> >+  }
> >+
> >   #messengerWindow[sizemode=normal] #messagepanebox {
> >     border: 1px solid rgba(10%, 10%, 10%, .4);
> >+    border-top: none;
> >     background-clip: padding-box;
> >   }
> 
> I wonder if there's not a better way to do that, since they're so similar… 
> Something like:
> 
> #messengerWindow[sizemode=normal] #mail-toolbox,
> #messengerWindow[sizemode=normal] #messagepanebox {
>   border: 1px solid rgba(10%, 10%, 10%, .4);
>   border-top: none;
>   background-clip: padding-box;
> }
> 
> #messengerWindow[sizemode=normal]  #mail-toolbox {
>   border-bottom: none;
> }
> 
> That way we don't have the re-duplication of the border…

Yeah, this looks better. I only changed the second part to

  #messengerWindow[sizemode=normal]  #mail-toolbox {
    border-bottom-color: ThreeDShadow;
  }
Comment 5 Blake Winton (:bwinton) (:☕️) 2011-12-23 10:01:06 PST
(In reply to Richard Marti [:paenglab] from comment #4)
> > I don't see any other occurrences of "navigation-toolbox" in the code…  Does
> > this rule actually do anything?
> This code makes the border around the menubar. "navigation-toolbox" is also
> in primaryToolbar-aero.css at line 51, 93, 290 and 296.

Ah, yes, I was looking at an older version of the code.  My mistake.

Thanks,
Blake.
Comment 6 Mike Conley (:mconley) 2011-12-28 12:14:40 PST
Checked in to comm-central as http://hg.mozilla.org/comm-central/rev/3d887d2fce08
Comment 7 Mike Conley (:mconley) 2011-12-29 07:41:58 PST
Committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/9bec4ba93f62

Note You need to log in before you can comment on or make changes to this bug.